org.apache.commons.mail.resolver

## Class DataSourceFileResolver

- java.lang.Object
- - org.apache.commons.mail.resolver.DataSourceBaseResolver
  - - org.apache.commons.mail.resolver.DataSourceFileResolver

- All Implemented Interfaces:
    DataSourceResolver

      public class DataSourceFileResolver
      extends DataSourceBaseResolver

  Creates a `DataSource` based on an URL. The implementation also resolves file resources.
  Since:
    1.3

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataSourceFileResolver()` Constructor.
    `DataSourceFileResolver(File baseDir)` Constructor.
    `DataSourceFileResolver(File baseDir, boolean lenient)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getBaseDir()` Get the base directory used for resolving relative resource locations.
    `DataSource` | `resolve(String resourceLocation)` Resolves the given resource location to a `DataSource`.
    `DataSource` | `resolve(String resourceLocation, boolean isLenient)` Resolves the given resource location to a `DataSource`.

    - ### Methods inherited from class org.apache.commons.mail.resolver.DataSourceBaseResolver

      `isCid, isFileUrl, isHttpUrl, isLenient`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataSourceFileResolver

          public DataSourceFileResolver()

      Constructor.

    - #### DataSourceFileResolver

          public DataSourceFileResolver(File baseDir)

      Constructor.
      Parameters:
        `baseDir` - the base directory of the resource when resolving relative paths

    - #### DataSourceFileResolver

          public DataSourceFileResolver(File baseDir,
                                        boolean lenient)

      Constructor.
      Parameters:
        `baseDir` - the base directory of the resource when resolving relative paths
        `lenient` - shall we ignore resources not found or complain with an exception

  - ### Method Detail

    - #### getBaseDir

          public File getBaseDir()

      Get the base directory used for resolving relative resource locations.
      Returns:
        the baseUrl

    - #### resolve

          public DataSource resolve(String resourceLocation)
                             throws IOException

      Resolves the given resource location to a `DataSource`.
      Parameters:
        `resourceLocation` - the location of the resource
      Returns:
        the `DataSource`
      Throws:
        `IOException` - the resource was not found

    - #### resolve

          public DataSource resolve(String resourceLocation,
                                    boolean isLenient)
                             throws IOException

      Resolves the given resource location to a `DataSource`.
      Parameters:
        `resourceLocation` - the location of the resource
        `isLenient` - shall we ignore resources not found or complain with an exception?
      Returns:
        the data source containing the resource or null if the resource was not found in lenient mode
      Throws:
        `IOException` - resolving the resource failed

Copyright © 2001–2017 The Apache Software Foundation. All rights reserved.